Package org.apache.commons.compress.harmony.unpack200.bytecode.forms

# Class ClassRefForm

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ClassRefForm

Direct Known Subclasses:
  `MultiANewArrayForm`, `NarrowClassRefForm`, `NewClassRefForm`

public class ClassRefForm extends ReferenceForm
This class implements the byte code form for those bytecodes which have class references (and only class references).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `widened`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

  `byteCodeArray, byteCodesByName, WIDENED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassRefForm(int opcode, String name, int[] rewrite)`
  `ClassRefForm(int opcode, String name, int[] rewrite, boolean widened)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getOffset(OperandManager operandManager)`
  `protected int`
  `getPoolID()`
  `protected void`
  `setNestedEntries(ByteCode byteCode, OperandManager operandManager, int offset)`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm

  `setByteCodeOperands`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

  `calculateOperandPosition, firstOperandIndex, fixUpByteCodeTargets, get, getName, getOpcode, getRewrite, getRewriteCopy, hasMultipleByteCodes, hasNoOperand, nestedMustStartClassPool, operandLength, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### widened

    protected boolean widened

- ## Constructor Details

  - ### ClassRefForm

    public ClassRefForm(int opcode, String name, int[] rewrite)

  - ### ClassRefForm

    public ClassRefForm(int opcode, String name, int[] rewrite, boolean widened)

- ## Method Details

  - ### getOffset

    protected int getOffset(OperandManager operandManager)
    Specified by:
      `getOffset` in class `ReferenceForm`

  - ### getPoolID

    protected int getPoolID()
    Specified by:
      `getPoolID` in class `ReferenceForm`

  - ### setNestedEntries

    protected void setNestedEntries(ByteCode byteCode, OperandManager operandManager, int offset) throws Pack200Exception
    Overrides:
      `setNestedEntries` in class `ReferenceForm`
    Throws:
      `Pack200Exception`